### Function

# EDataServer Collator new_interpret_country

since: 3.12

#### Declaration [src]

    ECollator*
    e_collator_new_interpret_country (
      const gchar* locale,
      gchar** country_code,
      GError** error
    )

#### Description [src]

Creates a new `ECollator` for the given `locale`, the returned collator should be freed with e_collator_unref().

In addition, this also reliably interprets the country code from the `locale` string and stores it to `country_code`.

Available since: 3.12

#### Parameters

`locale`

  Type: `const gchar*`

  The locale under which to sort.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`country_code`

  Type: `gchar**`

  A location to store the interpreted country code from `locale`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ECollator`

A newly created `ECollator`.

The caller of the function takes ownership of the data, and is responsible for freeing it.